WAIT_EVENT_FREEZABLE(9)

NAME
wait_event_freezable - sleep (or freeze) until a condition gets true

SYNOPSIS

wait_event_freezable(wq, condition);

ARGUMENTS

wq
    the waitqueue to wait on

condition
    a C expression for the event to wait for

DESCRIPTION

The process is put to sleep (TASK_INTERRUPTIBLE -- so as not to contribute to system load) until the condition evaluates to true. The condition is checked each time the waitqueue wq is woken up.

wake_up has to be called after changing any variable that could change the result of the wait condition.

COPYRIGHT